import { jsx } from "react/jsx-runtime";
import { NutIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Nut = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Nut", ...props, children: /* @__PURE__ */ jsx(NutIcon, { weight: variant }) });
  }
);
Nut.displayName = "Nut";
Object.assign(Nut, { isGdsIcon: true });
export {
  Nut
};
